質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.78%

Circle ciでnpm ciができない

解決済

回答 2

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 420

score 17

質問お願いします。

現在、circle ci上でnpm ciがインストールできなくて困っています。

もう2時間ぐらいエラー文等を調べているのですが、解決しないので分かる方いましたらご教授お願いします。

config.ymlの中身とcircle ci上のエラー画面は下記の通りです。

お手数おかけしますが、宜しくお願いします。

↓config.ymlのコードの中身

version: 2.1
jobs:
  build:
    docker:
      - image: circleci/php:7.3-node-browsers
    steps:
      - checkout
      - run: sudo composer self-update --1
      - run: composer install -n --prefer-dist --working-dir=backend
      - run: npm ci
      - run: npm run dev
      - run:
          name: php test
          command: vendor/bin/phpunit

エラーメッセージ

イメージ説明

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

+1

package.jsonがないって言われてるだけなので、該当のディレクトリにpackage.jsonがないんじゃないでしょうか。情報がそのエラーメッセージ以外になにもないので、詳しくお答えするのは難しいですね・・・。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2021/03/23 23:47

    ありがとうございます!

    ワーキングディレクトリを指定したらエラーが出ずに解決することができました🙇‍♂️

    キャンセル

check解決した方法

0

package.jsonがあるディレクトリをワーキングディレクトリに指定しなかったからエラーが出たそうなので、下記のようにワーキングディレクトリを指定するとエラーが出ずに実行することができました。

version: 2.1
jobs:
  build:
    working_directory: ~/backend
    docker:
      - image: circleci/php:7.3-node-browsers
    steps:
      - checkout
      - run: sudo composer self-update --1
      - run:
          command: composer install -n --prefer-dist
          working_directory: backend
      - run:
          command: npm ci
          working_directory: backend
      - run:
          command: npm run dev
          working_directory: backend
      - run:
          name: php test
          command: vendor/bin/phpunit
          working_directory: backend

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.78%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る